import ClientRequest, { ClientResponse } from '../models/ClientRequest';
import Options from './options';
export interface ClientRequestOptions {
    id: string;
    method: string;
    params: any[];
}
export declare type ConnectParams = {
    cookie: string;
};
export default class DelugeClientRequest extends ClientRequest<Options, ClientRequestOptions, ConnectParams> {
    login(): Promise<ConnectParams>;
    private _login();
    getRequest(id: string, method: string, params: any[]): ClientRequestOptions;
    send(): Promise<ClientResponse>;
    private _send();
}
